Bug 2863 - Radeon module version mismatch in the package (Sisyphus 20030816)
: Radeon module version mismatch in the package (Sisyphus 20030816)
Status: CLOSED NOTABUG
: Sisyphus
(All bugs in Sisyphus/XFree86-server)
: unstable
: all Linux
: P4 major
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-08-20 22:24 by
Modified: 2007-04-06 16:13 (History)


Attachments
0002863-XFree86.0.log.gz (8.39 KB, application/x-gzip)
2003-08-20 22:24, sergei_d
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-08-20 22:24:14
In the XFree86-server package, Radeon module (radeon.o) is outdated: version
1.1.1 is present, while version 1.3.1 is required by the server. This results
into great performance slowdown in 3D games such as TuxRacer. This issue was
found when using Radeon VE (64Mb), and it is only XFree 4.3-related. The 4.2.x
version has no such an issue.
---

---
Below are some excerpts from the XFree log file (please note that full log is
attached to this report):

1) Incorrect aperture size? (In BIOS, 64Mb is set).
===
(II) RADEON(0): Using 8 MB AGP aperture
(II) RADEON(0): Using 1 MB for the ring buffer
(II) RADEON(0): Using 2 MB for vertex/indirect buffers
(II) RADEON(0): Using 5 MB for AGP textures
=== 

2) Incorrect module version.
===
(WW) RADEON(0): [dri] Some DRI features disabled because of version
mismatch.
[dri] radeon.o kernel module version is 1.1.1 but 1.3.1 or later is
preferred.
===

===
(II) RADEON(0): [drm] Kernel module too old (1.1) for agp heap manager
=== 

The list of XFree packages that are installed is as follows:

XFree86-KOI8-100dpi-fonts-3.0-ipl6mdk
XFree86-100dpi-fonts-4.3.0-alt1
XFree86-bitmaps-4.3.0-alt1
XFree86-KOI8-3.0-ipl6mdk
XFree86-cyr_rfx-fonts-iso10646-0400-1.1-alt2
XFree86-KOI8-75dpi-fonts-3.0-ipl6mdk
XFree86-server-common-3.3.6-ipl24mdk
XFree86-4.3.0-alt1
XFree86-libs-4.3.0-alt1
XFree86-75dpi-fonts-4.3.0-alt1
XFree86-xfs-4.3.0-alt1
XFree86-cyr_rfx-fonts-koi8-r-1.1-alt6
XFree86-utils-4.3.0-alt1
XFree86-locales-4.3.0-alt1
XFree86-server-4.3.0-alt1
------- Comment #1 From 2003-09-17 23:51:19 -------
reassign to real packager
------- Comment #2 From 2003-09-23 22:13:51 -------
Эта ошибка имеет отношение к ядру, ибо у вас именно в ядре устаревший модуль
radeon.

Какое ядро вы используете ?
------- Comment #3 From 2003-09-25 19:49:33 -------
ошибочная ошибка
------- Comment #4 From 2003-10-04 20:20:53 -------
Проверялось на двух ядрах:
2.4.20-alt5-up и позже на 2.4.21-alt12.

------- Comment #5 From 2003-10-05 14:09:43 -------
А что происходит на ядре 2.4.22-alt5 ?